const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const app_settings = sequelize.define(
    'app_settings',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

settings_key: {
        type: DataTypes.TEXT,
      
      

      },

settings_value: {
        type: DataTypes.TEXT,
      
      

      },

value_type: {
        type: DataTypes.ENUM,
      
      

        values: [

"string",


"json",


"html",


"javascript"

        ],

      },

description: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  app_settings.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity










































//end loop






    db.app_settings.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.app_settings.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return app_settings;
};


